Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.aegis.type.basic
Class BeanTypeInfo

    java.lang.Object
      org.codehaus.xfire.aegis.type.basic.BeanTypeInfo

Direct Known Subclasses:
  AnnotatedTypeInfo, XMLBeanTypeInfo

    public class BeanTypeInfo

extends java.lang.Object

Constructor Summary
`protected` | `BeanTypeInfo(java.lang.Class typeClass)`
`` | `BeanTypeInfo(java.lang.Class typeClass, java.lang.String defaultNamespace)`
`` | `BeanTypeInfo(java.lang.Class typeClass, java.lang.String defaultNamespace, boolean initialize)` Create a BeanTypeInfo class.

Method Summary
`protected javax.xml.namespace.QName` | `createQName(java.beans.PropertyDescriptor desc)`
`java.util.Iterator` | `getAttributes()`
`java.util.Iterator` | `getElements()`
`java.beans.PropertyDescriptor` | `getPropertyDescriptor(javax.xml.namespace.QName name)`
`protected java.beans.PropertyDescriptor` | `getPropertyDescriptor(java.lang.String name)`
`protected java.beans.PropertyDescriptor[]` | `getPropertyDescriptors()`
`Type` | `getType(javax.xml.namespace.QName name)` Get the type class for the field with the specified QName.
`protected java.lang.Class` | `getTypeClass()`
`TypeMapping` | `getTypeMapping()`
`void` | `initialize()`
`protected boolean` | `isAttribute(java.beans.PropertyDescriptor desc)`
`protected boolean` | `isElement(java.beans.PropertyDescriptor desc)`
`boolean` | `isInitialized()`
`boolean` | `isNillable(javax.xml.namespace.QName name)`
`protected boolean` | `isSerializable(java.beans.PropertyDescriptor desc)`
`void` | `mapAttribute(java.lang.String property, javax.xml.namespace.QName type)`
`void` | `mapElement(java.lang.String property, javax.xml.namespace.QName type)`
`protected void` | `mapProperty(java.beans.PropertyDescriptor pd)`
`void` | `setTypeMapping(TypeMapping typeMapping)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanTypeInfo

    public BeanTypeInfo(java.lang.Class typeClass,
                        java.lang.String defaultNamespace)

### BeanTypeInfo

    public BeanTypeInfo(java.lang.Class typeClass,
                        java.lang.String defaultNamespace,
                        boolean initialize)

  Create a BeanTypeInfo class.

  Parameters:
    `typeClass` -
    `defaultNamespace` -
    `initiallize` - If true attempt default property/xml mappings.

### BeanTypeInfo

    protected BeanTypeInfo(java.lang.Class typeClass)

Method Detail

### initialize

    public void initialize()

### isInitialized

    public boolean isInitialized()

### mapProperty

    protected void mapProperty(java.beans.PropertyDescriptor pd)

### getPropertyDescriptors

    protected java.beans.PropertyDescriptor[] getPropertyDescriptors()

### getPropertyDescriptor

    protected java.beans.PropertyDescriptor getPropertyDescriptor(java.lang.String name)

### getType

    public Type getType(javax.xml.namespace.QName name)

  Get the type class for the field with the specified QName.

### getTypeMapping

    public TypeMapping getTypeMapping()

### setTypeMapping

    public void setTypeMapping(TypeMapping typeMapping)

### createQName

    protected javax.xml.namespace.QName createQName(java.beans.PropertyDescriptor desc)

### mapAttribute

    public void mapAttribute(java.lang.String property,
                             javax.xml.namespace.QName type)

### mapElement

    public void mapElement(java.lang.String property,
                           javax.xml.namespace.QName type)

### getPropertyDescriptor

    public java.beans.PropertyDescriptor getPropertyDescriptor(javax.xml.namespace.QName name)

### isAttribute

    protected boolean isAttribute(java.beans.PropertyDescriptor desc)

### isElement

    protected boolean isElement(java.beans.PropertyDescriptor desc)

### isSerializable

    protected boolean isSerializable(java.beans.PropertyDescriptor desc)

### getTypeClass

    protected java.lang.Class getTypeClass()

### isNillable

    public boolean isNillable(javax.xml.namespace.QName name)

### getAttributes

    public java.util.Iterator getAttributes()

### getElements

    public java.util.Iterator getElements()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.